<?php
/**
 * Created by PhpStorm.
 * User: stanley-king
 * Date: 2017/9/26
 * Time: 上午11:17
 */

defined('InShopNC') or exit('Access Invalid!');
class activity_imageModel extends Model
{
    public function __construct()
    {
        parent::__construct('activity_image');
    }
    public function image_list($cond,$field='*',$page_size = 0,$total_count = 0,$lock = false)
    {
        return $this->field($field)->where($cond)->order('image_id desc')->page($page_size, $total_count)->lock($lock)->select();
    }
    public function likes($image_id,$lock=false)
    {
        return $this->field('likes')->lock($lock)->find($image_id);
    }
}